Home

# Class goog.ui.ToolbarRenderer

Default renderer for {@link goog.ui.Toolbar}s, based on {@link goog.ui.ContainerRenderer}.

extends goog.ui.ContainerRenderer

Instance Method Summary
| `getAriaRole() ⇒ (string|undefined)` Returns the ARIA role to be applied to toolbar/menubar.
| `getCssClass() ⇒ string` Returns the CSS class to be applied to the root element of containers rendered using this renderer.
| `getDecoratorForChild(?Element element) ⇒ ?goog.ui.Control` Inspects the element, and creates an instance of {@link goog.ui.Control} or an appropriate subclass best suited to decorate it. Overrides the superclass implementation by recognizing HR elements as separators.
| `getDefaultOrientation() ⇒ ?goog.ui.Container.Orientation` Returns the default orientation of containers rendered or decorated by this renderer. This implementation returns {@code HORIZONTAL}.